// Resets the emulated BBC Micro VDU.
void bbc_micro_reset(void);

// Write a byte to the emulated BBC Micro VDU.
void bbc_micro_vdu(unsigned char value);

// Specifies whether text is drawn as text or as graphics.
enum bbc_micro_vdu_text_mode_t {
	BBC_MICRO_VDU_TEXT_MODE_TEXT,
	BBC_MICRO_VDU_TEXT_MODE_GRAPHICS,
};

// Show the cursor on the screen.
void bbc_micro_vdu_cursor_show(void);

// Remove the cursor from the screen.
void bbc_micro_vdu_cursor_hide(void);

// Draw a blinking cursor (call in a loop).
void bbc_micro_vdu_cursor_draw_blinking(void);
